# A Robot for making tee



## Mikrocontroller
The used MCU is an ESP32 programmed in [micropython](https://micropython.org).

### Pin out
The pin outs of the ESP32 for reference:

Pin (ESP32)| Function
--- | ---
17 | i2c SDA
18 | i2c SCL
12,27,26,25 | L298M

# Reference

## Motor (&driver)
[L298M H-Bridge](https://www.instructables.com/id/Control-DC-and-stepper-motors-with-L298N-Dual-Moto/)

Motor wiring:

Color | Funktion
--- | ---
red | Motorleistung +/-
black | Encoder GND
yellow | Encoder Signal 1
green | Encoder Signal 2
blue | Encoder + (3.3V to 5V)
white | Motorleistung -/+

[DS3231 RTC](https://github.com/micropython-Chinese-Community/mpy-lib/tree/master/misc/DS3231)

[NodeMCU-32S Pinout](https://www.shenzhen2u.com/NodeMCU-32S)

[ESP32 Usable Pins](https://randomnerdtutorials.com/esp32-pinout-reference-gpios/)


